Package org.apache.maven.scm.provider.svn.svnexe.command.checkout

## Class SvnCheckOutConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer
  - - org.apache.maven.scm.provider.svn.svnexe.command.checkout.SvnCheckOutConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class SvnCheckOutConsumer
    extends AbstractFileCheckingConsumer

Author:
  Trygve Laugstøl, Olivier Lamy

### Field Summary

### Fields inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

`logger, revision, workingDirectory`

### Constructor Summary

Constructors
`SvnCheckOutConsumer​(ScmLogger logger, java.io.File workingDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addFile​(ScmFile file)`
`java.util.List<ScmFile>` `getCheckedOutFiles()`
`protected java.util.List<ScmFile>` `getFiles()`
`protected void` `parseLine​(java.lang.String line)`

### Methods inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

`consumeLine, getRevision, getWorkingDirectory, parseInt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnCheckOutConsumer

    public SvnCheckOutConsumer​(ScmLogger logger,
                               java.io.File workingDirectory)

### Method Detail

#### parseLine

    protected void parseLine​(java.lang.String line)

Specified by:
  `parseLine` in class `AbstractFileCheckingConsumer`

#### getCheckedOutFiles

    public java.util.List<ScmFile> getCheckedOutFiles()

#### addFile

    protected void addFile​(ScmFile file)

Overrides:
  `addFile` in class `AbstractFileCheckingConsumer`

#### getFiles

    protected java.util.List<ScmFile> getFiles()

Overrides:
  `getFiles` in class `AbstractFileCheckingConsumer`